List tasks

Returns a list of your tasks. The tasks are returned sorted by creation date, with the oldest tasks appearing first.

Tasks that have reached the completed, failed, timed-out and canceled states are returned for approximately 72 hours after reaching this state.

Valid values for the state query parameter are:

StateDescription
queuedThe task is queued for processing.
runningThe task is being processed.
pending:start_client_actionThe task is waiting for validation or export. The client_action property specifies which one.
pending:complete_client_actionThe task is being validated or exported. The client_action property specifies which one.
completedThe task was successfully processed and there is no further work to do. The original file and all related data have been deleted from the Aluma service.
failedThere was an unrecoverable error during the processing of the task. The original file and all related data have been deleted from the Aluma service.
timed-outThe processing of the task was not completed within the period specified in the project. The original file and all related data have been deleted from the Aluma service.
canceledThe processing of the task was canceled, and no further processing will take place. The original file and all related data have been deleted from the Aluma service.
Query Params
string

Only return tasks in this state. Valid values are shown below.

string

Only return tasks with this client action. Valid values are 'validation' and 'export'.

string

Only return tasks for this project.

string

Only return tasks queued or being processed by this validation instance. If set, only tasks queued or in this validation instance are returned. Only valid if the state query parameter is pending:start_client_action or pending:complete_client_action and the client_action query parameter is validation.

string

A limit on the number of objects to be returned. page_size can range between 1 and 10000, and the default is unlimited (return all)..

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json